xmlpp::OutputBuffer Class Referenceabstract

Base class for xmlOutputBuffer wrapper. More...

`#include <libxml++/io/outputbuffer.h>`

Inheritance diagram for xmlpp::OutputBuffer:
[legend]

## Public Member Functions

| OutputBuffer (const Glib::ustring& encoding=Glib::ustring())
| ~OutputBuffer () override
_xmlOutputBuffer* | cobj ()
| gives an access to the underlying libxml structure to the children More...
const _xmlOutputBuffer* | cobj () const
| gives an access to the underlying libxml structure to the children More...

## Additional Inherited Members

Protected Member Functions inherited from xmlpp::NonCopyable
| NonCopyable ()
| NonCopyable (const NonCopyable&)=delete
virtual | ~NonCopyable ()
NonCopyable& | operator= (const NonCopyable&)=delete

## Detailed Description

Base class for xmlOutputBuffer wrapper.

It can be derived from to create a new output buffer. A child class has to override do_write(), and possibly do_close() if some actions are required before buffer closing.

## Constructor & Destructor Documentation

xmlpp::OutputBuffer::OutputBuffer | ( | const Glib::ustring & | encoding = `Glib::ustring()` | ) |

Parameters

  encoding | The encoding that the derived class waits for in do_write. If not provided, UTF-8 will be sent to do_write.

Warning
  The encoding is done by libxml. As a consequence, libxml must have a translator to the target encoding.

xmlpp::OutputBuffer::~OutputBuffer | ( |  | ) |

override

## Member Function Documentation

_xmlOutputBuffer* xmlpp::OutputBuffer::cobj | ( |  | ) |

gives an access to the underlying libxml structure to the children

const _xmlOutputBuffer* xmlpp::OutputBuffer::cobj | ( |  | ) | const

gives an access to the underlying libxml structure to the children